
Foreman - Bug #3711

Usergroups can have empty name

11/21/2013 04:09 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Database   

Target version: 1.9.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2423

  

Description

There's validation missing as well as null constraint in database. Unless there's some special reason, we should add both.

Associated revisions

Revision 34d5ff10 - 06/03/2015 12:47 PM - Marek Hulán

Fixes #3711 - usergroup name can't be null

History

#1 - 06/02/2015 11:40 AM - Marek Hulán

- Status changed from New to Assigned

This was fixed partly in 52360f116c7ff5daa8d898d6cbc529a88e7148cf but DB still allows nil as a value.

#2 - 06/02/2015 11:41 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2423 added

- Pull request deleted ()

#3 - 06/03/2015 01:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 34d5ff10cc5bf6d5366a5af6f4f1689ec11757c8.

#4 - 06/04/2015 05:01 AM - Dominic Cleal

- translation missing: en.field_release set to 35
